## openexr 2.2.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT (openexr)

SET(OPENEXR_VERSION_MAJOR "2")
SET(OPENEXR_VERSION_MINOR "2")
SET(OPENEXR_VERSION_PATCH "0")

SET(OPENEXR_VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH})
SET(OPENEXR_VERSION_API ${OPENEXR_VERSION_MAJOR}_${OPENEXR_VERSION_MINOR})


# enable the tests
ENABLE_TESTING()


# distro building 
SET(CPACK_PACKAGE_VERSION_MAJOR "${OPENEXR_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${OPENEXR_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${OPENEXR_VERSION_PATCH}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${OPENEXR_VERSION}"
  )
set(CPACK_SOURCE_IGNORE_FILES
  "/.git*;/.cvs*;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE ( CPack )



# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS    "Build Shared Libraries" ON)
OPTION (USE_ZLIB_WINAPI      "Use ZLib Win API"       OFF)
OPTION (NAMESPACE_VERSIONING "Use Namespace Versioning" ON)

# Setup osx rpathing
SET (CMAKE_MACOSX_RPATH 1)
SET (BUILD_WITH_INSTALL_RPATH 1)

ADD_DEFINITIONS ( -DHAVE_CONFIG_H -DILM_IMF_TEST_IMAGEDIR="${CMAKE_SOURCE_DIR}/IlmImfTest/" )

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}/config
  IlmImf
  IlmImfUtil
  exrmaketiled
  exrenvmap
  exrmakepreview
  exrmultiview
  IlmImfFuzzTest
)

FIND_PACKAGE(ZLIB REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})

IF (NOT WIN32)
  SET ( PTHREAD_LIB pthread )
ENDIF()

INCLUDE_DIRECTORIES ( ${ILMBASE_PACKAGE_PREFIX}/include/OpenEXR )
LINK_DIRECTORIES ( ${ILMBASE_PACKAGE_PREFIX}/lib )
MESSAGE ( "ILMBASE_PACKAGE_PREFIX = " ${ILMBASE_PACKAGE_PREFIX})

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
    IF (WIN32)
    ADD_DEFINITIONS(-DOPENEXR_DLL)
  ENDIF ()
ENDIF ()

IF (USE_ZLIB_WINAPI)
  ADD_DEFINITIONS(-DZLIB_WINAPI)
ENDIF ()

# Test for GCC-style inline asm support with AVX instructions
INCLUDE (CheckCXXSourceCompiles)
CHECK_CXX_SOURCE_COMPILES (
	"
	int main()
	{
	 #if defined(__GNUC__) && defined(__SSE2__) 
		 int n   = 0;
		 int eax = 0;
		 int edx = 0;
		 __asm__(
			 \"xgetbv     ;\"
			 \"vzeroupper  \"
			 : \"=a\"(eax), \"=d\"(edx) : \"c\"(n) : );
	 #else
		 #error No GCC style inline asm supported for AVX instructions
	 #endif
	}
	" HAVE_GCC_INLINE_ASM_AVX)

# Check if sysconf(_SC_NPROCESSORS_ONLN) can be used for CPU count
CHECK_CXX_SOURCE_COMPILES (
    "
    #include <unistd.h>
    int main()
    {
        sysconf(_SC_NPROCESSORS_ONLN);
    }
    " HAVE_SYSCONF_NPROCESSORS_ONLN)


##########################
# OpenEXRConfig.h generation
##########################
IF (WIN32)
  FILE ( WRITE ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
ELSEIF (APPLE)
  FILE ( WRITE ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_DARWIN 1\n" )
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#include <string.h>\n" )
ELSE ()
  # Linux
  FILE ( WRITE ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_LINUX_PROCFS 1\n" )
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_LARGE_STACK 1\n" )
ENDIF()
  
IF (NAMESPACE_VERSIONING)
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_INTERNAL_NAMESPACE_CUSTOM 1\n")
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_NAMESPACE Imf\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_INTERNAL_NAMESPACE Imf_${OPENEXR_VERSION_API}\n\n" )
ELSE ()
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_INTERNAL_NAMESPACE_CUSTOM 0\n")
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_NAMESPACE Imf\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_INTERNAL_NAMESPACE Imf\n\n" )
ENDIF ()

FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_VERSION_STRING \"${OPENEXR_VERSION}\"\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_PACKAGE_STRING \"OpenEXR ${OPENEXR_VERSION}\"\n" )


FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "
#define OPENEXR_VERSION_MAJOR ${OPENEXR_VERSION_MAJOR}
#define OPENEXR_VERSION_MINOR ${OPENEXR_VERSION_MINOR}
#define OPENEXR_VERSION_PATCH ${OPENEXR_VERSION_PATCH}
")


  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "
// Version as a single hex number, e.g. 0x01000300 == 1.0.3
#define OPENEXR_VERSION_HEX ((OPENEXR_VERSION_MAJOR << 24) | \\
                             (OPENEXR_VERSION_MINOR << 16) | \\
                             (OPENEXR_VERSION_PATCH <<  8))\n
")

IF (HAVE_GCC_INLINE_ASM_AVX)
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_GCC_INLINE_ASM_AVX 1\n" )
ENDIF()
  
IF (HAVE_SYSCONF_NPROCESSORS_ONLN)
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h "#define OPENEXR_IMF_HAVE_SYSCONF_NPROCESSORS_ONLN 1\n" )
ENDIF()
  
SET (OPENEXR_LIBSUFFIX "")
SET (ILMBASE_LIBSUFFIX "")
IF (NAMESPACE_VERSIONING)
  SET ( OPENEXR_LIBSUFFIX "-${OPENEXR_VERSION_API}" )
  # assume same NAMESPACE_VERSION setting for IlmBase for now
  SET ( ILMBASE_LIBSUFFIX "-${OPENEXR_VERSION_API}" )
ENDIF ()

##########################
# IlmImf library
##########################
ADD_SUBDIRECTORY ( IlmImf )

SET_TARGET_PROPERTIES ( IlmImf
  PROPERTIES
  VERSION 22.0.0
  SOVERSION 22
  OUTPUT_NAME "IlmImf${OPENEXR_LIBSUFFIX}"
  )
  
##########################
# IlmImfUtil library
##########################
ADD_SUBDIRECTORY ( IlmImfUtil )

SET_TARGET_PROPERTIES ( IlmImfUtil
  PROPERTIES
  VERSION 22.0.0
  SOVERSION 22
  OUTPUT_NAME "IlmImfUtil${OPENEXR_LIBSUFFIX}"
  )
  
##########################
# Example Code
##########################
ADD_SUBDIRECTORY ( IlmImfExamples )

  
##########################
# Tests
##########################
ADD_SUBDIRECTORY ( IlmImfTest )
ADD_SUBDIRECTORY ( IlmImfUtilTest )
ADD_SUBDIRECTORY ( IlmImfFuzzTest )


##########################
# Binaries / Utilities
##########################
ADD_SUBDIRECTORY ( exrheader )
ADD_SUBDIRECTORY ( exrmaketiled )
ADD_SUBDIRECTORY ( exrstdattr )
ADD_SUBDIRECTORY ( exrmakepreview )
ADD_SUBDIRECTORY ( exrenvmap )
ADD_SUBDIRECTORY ( exrmultiview )
ADD_SUBDIRECTORY ( exrmultipart )


##########################
# Installation
##########################

INSTALL ( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/include/OpenEXR
  )

# Documentation
INSTALL ( FILES
  doc/TechnicalIntroduction.pdf
  doc/ReadingAndWritingImageFiles.pdf
  doc/OpenEXRFileLayout.pdf
  doc/MultiViewOpenEXR.pdf
  doc/InterpretingDeepPixels.pdf
  doc/TheoryDeepPixels.pdf
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/share/doc/OpenEXR-${OPENEXR_VERSION}
  )

# Examples
INSTALL ( FILES
  IlmImfExamples/main.cpp
  IlmImfExamples/drawImage.cpp
  IlmImfExamples/rgbaInterfaceExamples.cpp
  IlmImfExamples/rgbaInterfaceTiledExamples.cpp
  IlmImfExamples/generalInterfaceExamples.cpp
  IlmImfExamples/lowLevelIoExamples.cpp
  IlmImfExamples/previewImageExamples.cpp
  IlmImfExamples/generalInterfaceTiledExamples.cpp
  IlmImfExamples/generalInterfaceTiledExamples.h
  IlmImfExamples/drawImage.h
  IlmImfExamples/rgbaInterfaceExamples.h
  IlmImfExamples/generalInterfaceExamples.h
  IlmImfExamples/rgbaInterfaceTiledExamples.h
  IlmImfExamples/lowLevelIoExamples.h
  IlmImfExamples/previewImageExamples.h
  IlmImfExamples/namespaceAlias.h
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/share/doc/OpenEXR-${OPENEXR_VERSION}/examples
  )

=== IlmImfFuzzTest/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( IlmImfFuzzTest
  fuzzFile.cpp
  main.cpp
  testFuzzDeepTiles.cpp
  testFuzzDeepScanLines.cpp
  testFuzzScanLines.cpp
  testFuzzTiles.cpp
  )

TARGET_LINK_LIBRARIES ( IlmImfFuzzTest 
        IlmImf
        Half
        Iex${ILMBASE_LIBSUFFIX}
        Imath${ILMBASE_LIBSUFFIX}
        IlmThread${ILMBASE_LIBSUFFIX}
        ${PTHREAD_LIB} ${ZLIB_LIBRARIES})

ADD_TEST ( TestIlmImfFuzz IlmImfFuzzTest )

=== IlmImfUtilTest/CMakeLists.txt ===

# IlmImfUtilTest

LINK_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR}/../IlmImf )


ADD_EXECUTABLE ( IlmImfUtilTest
  main.cpp
  testFlatImage.cpp
  testDeepImage.cpp
  testIO.cpp
 )


ADD_TEST ( TestIlmImfUtil IlmImfUtilTest )
TARGET_LINK_LIBRARIES ( IlmImfUtilTest 
        IlmImfUtil
        IlmImf  
        Half 
        Iex${ILMBASE_LIBSUFFIX}
        Imath${ILMBASE_LIBSUFFIX}
        IlmThread${ILMBASE_LIBSUFFIX}
        ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
        )

=== exrenvmap/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrenvmap
  makeLatLongMap.cpp
  readInputImage.cpp
  resizeImage.cpp
  makeCubeMap.cpp
  main.cpp
  blurImage.cpp
  EnvmapImage.cpp
)

TARGET_LINK_LIBRARIES ( exrenvmap
  IlmImf
  IlmThread${ILMBASE_LIBSUFFIX}
  Iex${ILMBASE_LIBSUFFIX}
  Half
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrenvmap
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrmakepreview/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrmakepreview
  makePreview.cpp
  main.cpp
)

TARGET_LINK_LIBRARIES ( exrmakepreview
  IlmImf
  IlmThread${ILMBASE_LIBSUFFIX}
  Iex${ILMBASE_LIBSUFFIX}
  Half
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrmakepreview
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrmaketiled/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrmaketiled
  makeTiled.cpp
  main.cpp
  Image.cpp
)

TARGET_LINK_LIBRARIES ( exrmaketiled
  IlmImf
  IlmThread${ILMBASE_LIBSUFFIX}
  Iex${ILMBASE_LIBSUFFIX}
  Half
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrmaketiled
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

## openexr 1.6.1

=== debian/changelog ===
openexr (1.6.1-7ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Update for recent autoconf/autoheader.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 15:23:25 +0100

openexr (1.6.1-7) unstable; urgency=low

  * Convert to multi-arch.
    + Use debhelper v9 compat, bump build-dep. Drop unneeded invocation of
      dpkg-buildflags.
    + Update *.install.
    + Add Pre-Depends: ${misc:Pre-Depends}.
    + Runtime library is Multi-Arch: same, cmd-line utils Multi-Arch: foreign.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Dec 2012 14:23:33 +0100

openexr (1.6.1-6) unstable; urgency=low

  * nonlinuxlargestack.diff Fix FTBFS when large stacks are disabled.
    Bug-report, diagnosis and patch by Pino Toscano. Closes: #680509

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jul 2012 08:58:08 +0200

openexr (1.6.1-5) unstable; urgency=low

  * Update package short description, openexr does not contain a viewer.
    Closes: #471783
  * Use 3.0 (quilt) source format.
  * Re-enable doc-base support. At least dhelp works without problems.
  * Use dh $@ --with autotools_dev. Version autotools-dev b-d.
  * The latter three changes add support for build-arch target, fixing FTBFS.
    Closes: #666297
  * Change override_dh_auto_test target to invoke dh_auto_test, otherwise the
    testsuite is run twice. (Once for build and binary).
  * Add myself to uploaders, remove Cyril. (Thanks for you work!)
  * Empty dependency_libs in libtool la file.
  * Fix doc-base ids. (lowercase, no underscore.)
  * Drop Section: graphics from binary package stanza in debian/control.
  * Fix typo mutiple in exrmaketiled.1.
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. (Thanks,
    Moritz Muehlenhoff). Add required b-d on dpkg-dev (>= 1.16.1). 
    Closes: #656506

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Apr 2012 08:45:13 +0200

openexr (1.6.1-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-1720: Integer overflows in Imf::PreviewImage::PreviewImage
    and integer overflows in compressor constructors
  * Fixed CVE-2009-1721: uninitialized pointers in Imf::hufUncompress
  * Patch stolen from stable-security, thanks to Cyril Brulebois
    (Closes: #550424)

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 21 Oct 2009 23:54:35 +0200

openexr (1.6.1-4) unstable; urgency=low

  * Adopt the package within pkg-phototools (Closes: #494877):
     - Thanks to Adeodato Simó et al. for having taken care of it until
       now!
     - Set Maintainer to the group.
     - Set Uploaders to myself.
     - Update Vcs-{Git,Browser}.
     - Remove XS-X-Collab-Maint field, no longer relevant. Patches are
       still welcome, though!
  * Switch to debhelper 7:
     - Bump debian/compat to 7.
     - Version the B-D on debhelper: >= 7.0.50 to allow the use of
       overrides.
     - Specify some overrides to tweak as needed for the build:
        - dh_auto_configure: pass the --with-openexr flag to configure
          script.
        - dh_auto_test: don't run “check” on arm and ia64 for now, and
          bypass dh_auto_test due to bad target detection.
        - dh_compress: no longer compress .h/.cpp examples.
        - dh_link: needed since libopenexr-dev's and openexr's /us/s/d
          directories are symlinks to libopenexr6's one.
        - dh_makeshlibs: keep on using -V.
        - dh_installdeb: add a call to dh_buildinfo to keep on storing the
          versions of packages installed during the build.
     - Specify some targets:
        - build and clean to handle patching/unpatching and
          updating/cleaning config.{guess,sub}.
  * Now compress PDF documentation. Any sane PDF viewer should be able to
    handle decompression.
  * Remove .gitignore file.
  * Add ${misc:Depends} to all binaries.
  * Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Apr 2009 22:00:04 +0200

openexr (1.6.1-3) unstable; urgency=medium

  * Disable (hopefully temporarily) the test suite on arm and ia64.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 24 Mar 2008 23:00:21 +0100

openexr (1.6.1-2) unstable; urgency=low

  * Upload to unstable.

  * Fix FTBFS with gcc 4.3, thanks Cyril Brulebois for the patch (closes:
    #441573). Add quilt to Build-Depends.

  * Update Standards-Version to 3.7.3 (no changes needed).

  * Swap Maintainer and Uploaders in debian/control.

  * Move packaging to a git repository under collab-maint. Add a
    X-Collab-Maint header.

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 16 Mar 2008 15:16:05 +0100

openexr (1.6.1-1) experimental; urgency=low

  * New upstream release. (Closes: #405783, #437494)
    + New soname: rename package to libopenexr6, and drop old conflicts and
      replaces.
    + Build-depend on libilmbase-dev (Imath, Half et al. are now there). Make
      libopenexr-dev depend on it as well, and drop bits from description that
      allude to these other libraries.

  * The exrdisplay binary is no longer shipped by upstream in the openexr
    tarball (it has moved to openexr_viewers): do not install it, nor its
    manpage, drop build-dependencies on libfltk1.1-dev and OpenGL stuff, and
    README.Debian as well, since they all were only needed for this program.

  * Adding myself as an uploader; add VCS-Bzr header.

  * Do some housekeeping:
    + update debian/watch.
    + bump debian/compat to 5.
    + use ${binary:Version} instead of ${Source-Version}.
    + bump Standards-Version to 3.7.2 (no changes needed).
    + use a Homepage header, instead of the pseudo-header.

  * Run tests after building.

  * Drop all patches, unnecessary.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 02 Nov 2007 22:20:53 +0100

openexr (1.2.2-4.4) unstable; urgency=low

  * Non-maintainer upload.
  * Rename libopenexr2c2a to libopenexr2ldbl for the long double transition.
    (Closes: #430286)



=== debian/control ===
Source: openexr
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
 dh-autoreconf,
 dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.3
Homepage: http://www.openexr.com
Vcs-Git: git://git.debian.org/git/pkg-phototools/openexr.git
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/openexr.git

Package: openexr
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: exrtools
Description: command-line tools and docs for the OpenEXR image format
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains documentation for the format and the following tools:
    * exrheader, a utility for dumping header information.
    * exrstdattr, a utility for modifying OpenEXR standard attributes.
    * exrmaketiled, for generating tiled and rip/mipmapped images.
    * exrenvmap, for creating OpenEXR environment maps.
    * exrmakepreview, for creating preview images for OpenEXR files.

Package: libopenexr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libopenexr6 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
Description: development files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the header files required if you wish to
 compile/develop applications that use OpenEXR libraries.

Package: libopenexr6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: runtime files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the following shared library:
    * IlmImf - a library that reads and writes OpenEXR images.

=== debian/rules ===
#!/usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### INCLUDE
#

##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm ia64


##### OVERRIDES
#

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif
endif

# No need to compress .h/.cpp files:
override_dh_compress:
	dh_compress -X.h -X.cpp

# Need to remove the directories, since they're getting replaced with
# symlinks:
override_dh_link:
	rm -rf debian/libopenexr-dev/usr/share/doc/libopenexr-dev
	rm -rf debian/openexr/usr/share/doc/openexr
	dh_link

# Need to pass an extra parameter:
override_dh_makeshlibs:
	dh_makeshlibs -V

# Need to remember package versions:
override_dh_installdeb:
	dh_buildinfo -plibopenexr6
	dh_installdeb

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://savannah.nongnu.org/download/openexr/openexr-([0-9].*).tar.gz

## openexr 1.6.1-4maemo1

=== debian/changelog ===
openexr (1.6.1-4maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 1 May 2010 17:47:13 +0200

openexr (1.6.1-3ubuntu1) intrepid; urgency=low

  * Disabled test suite on HPPA to resolve FTBFS
    - Test suite disabled due to threading failures
      due to NPTL on HPPA. Can be re-enabled after 
      NPTL in glibc is more stable

 -- Michael Casadevall <sonicmctails@gmail.com>  Sat, 11 Oct 2008 01:54:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
- dh-autoreconf,
- dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: autotools-dev, debhelper (>= 7.0.50), dh-buildinfo, quilt, libilmbase-dev, zlib1g-dev
+Standards-Version: 3.8.1
 Homepage: http://www.openexr.com
 Vcs-Git: git://git.debian.org/git/pkg-phototools/openexr.git
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/openexr.git
 
 Package: openexr
+Section: graphics
 Architecture: any
-Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: exrtools
-Description: command-line tools and docs for the OpenEXR image format
+Description: viewer and docs for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
  .
@@ -45,7 +41,6 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libopenexr6 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
@@ -71,8 +66,6 @@
 Package: libopenexr6
 Section: libs
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by

=== debian/rules ===
#!/usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### INCLUDE
#

include /usr/share/quilt/quilt.make


##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm ia64 hppa


##### OVERRIDES
#

# Need to pass an extra flag:
override_dh_auto_configure:
	dh_auto_configure -- --with-openexr-prefix=/usr

# Need to disable the test suite on some architectures (additionally,
# use 'make check' rather than 'make test'):
override_dh_auto_test:
	touch no_test
#ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	$(MAKE) check
#endif
#endif

# No need to compress .h/.cpp files:
override_dh_compress:
	dh_compress -X.h -X.cpp

# Need to remove the directories, since they're getting replaced with
# symlinks:
override_dh_link:
	rm -rf debian/libopenexr-dev/usr/share/doc/libopenexr-dev
	rm -rf debian/openexr/usr/share/doc/openexr
	dh_link

# Need to pass an extra parameter:
override_dh_makeshlibs:
	dh_makeshlibs -V

# Need to remember package versions:
override_dh_installdeb:
	dh_buildinfo -plibopenexr6
	dh_installdeb


##### TARGETS
#

# Need to patch:
build: $(QUILT_STAMPFN) build-stamp
build-stamp:
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub   .
	dh build
	touch $@

# Need to unpatch:
clean: unpatch
	dh $@
	rm -f config.guess config.sub

# Everything else:
%:
	dh $@

## openexr 2.1.0

=== debian/changelog ===
openexr (2.1.0-0irie1~precise1) precise; urgency=low

  * New upstream release
  * Bump so version from 6 to 21
  * Remove all existing patches, issues have been fixed upstream:
    - fix_gcc4.3_ftbfs.diff (da1443aaa2fd)
    - CVE-2009-1720-1.diff, CVE-2009-1720-2.diff (e08946ade358)
    - CVE-2009-1721.diff (9a52b2ea2e63)
    - nonlinuxlargestack.diff (7252c296f2b9)
  * debian/rules:
    - Don't run the testsuite for i386 architecture, see:
      https://github.com/openexr/openexr/issues/67#issuecomment-21169748
  * debian/copyright:
    - Use dep5 format
  * Add lintian overrides file

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 31 Dec 2013 14:55:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: autotools-dev, debhelper (>= 7.0.50), dh-buildinfo, quilt, libilmbase-dev, zlib1g-dev
-Standards-Version: 3.8.1
+Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
+Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
+ dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://git.debian.org/git/pkg-phototools/openexr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/openexr.git
 
 Package: openexr
-Section: graphics
 Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: exrtools
-Description: viewer and docs for the OpenEXR image format
+Description: command-line tools and docs for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
  .
@@ -41,7 +41,8 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Depends: libopenexr6 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libopenexr21 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -63,9 +64,11 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr6
+Package: libopenexr21
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by

=== debian/rules ===
#!/usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### INCLUDE
#

##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm ia64 i386


##### OVERRIDES
#

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif
endif

# No need to compress .h/.cpp files:
override_dh_compress:
	dh_compress -X.h -X.cpp

# Need to remove the directories, since they're getting replaced with
# symlinks:
override_dh_link:
	rm -rf debian/libopenexr-dev/usr/share/doc/libopenexr-dev
	rm -rf debian/openexr/usr/share/doc/openexr
	dh_link

# Need to pass an extra parameter:
override_dh_makeshlibs:
	dh_makeshlibs -V

# Need to remember package versions:
override_dh_installdeb:
	dh_buildinfo -plibopenexr21
	dh_installdeb

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +

%:
	dh $@ --with autotools_dev

## openexr 2.2.0

=== debian/changelog ===
openexr (2.2.0-1ubuntu3) wily; urgency=medium

  * Fix tests on big endian targets (taken from Fedora).
  * Ignore test results on 32bit archs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Aug 2015 00:23:37 +0200

openexr (2.2.0-1ubuntu2) wily; urgency=medium

  * Re-enable dh-autoreconf (don't run autoheader).
  * Disable the symbols file for now. New soname, and needs updates
    for the new libstdc++6 ABI.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 22:41:58 +0200

openexr (2.2.0-1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * New upstream. Closes: #773027, #666396
  * Remove all CVE patches, applied upstream
  * Remove bogus tests for now. Closes: #790495
  * Fix symbol file on 32/64bits arch

  [ Matteo F. Vescovi ]
  * debian/libopenexr22.symbols: debian revision stripped
  * debian/copyright: DEP-5 compliance added

 -- Mathieu Malaterre <malat@debian.org>  Fri, 10 Jul 2015 14:09:39 +0200

openexr (1.6.1-12) experimental; urgency=medium

  * Fix symbols, make it 32 vs 64 bits

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jun 2015 15:12:01 +0200

openexr (1.6.1-11) experimental; urgency=medium

  * Add missing Breaks/Replace. Closes: #782106
  * Remove old *.postinst files. Closes: #782098
  * Update symbols file, using getbuildlog

 -- Mathieu Malaterre <malat@debian.org>  Wed, 27 May 2015 10:31:18 +0200

openexr (1.6.1-10) experimental; urgency=low

  [ Matteo F. Vescovi ]
  * debian/control: add myself to Uploaders

  [ Mathieu Malaterre ]
  * Fix Vcs-* back to pkg-phototools
  * Update symbol files

 -- Mathieu Malaterre <malat@debian.org>  Sat, 09 May 2015 14:50:04 +0200

openexr (1.6.1-9) experimental; urgency=low

  * Add an openexr-doc package (arch: all)
    + move examples and documentation
  * Fix a minor typo detected by lintian
  * Remove reference to ia64 from d/rules
  * Bump Std-Vers to 3.9.6, no changes needed
  * Add symbols file, do not install *.la anymore

 -- Mathieu Malaterre <malat@debian.org>  Tue, 20 Jan 2015 16:55:07 +0100

openexr (1.6.1-8) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to QA.
  * Add 20_autoreconf.diff by Andreas Barth to let autoreconf run successfully
    and use dh-autoreconf. Closes: #759719
  * Point Vcs-* to anonscm.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Aug 2014 07:56:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
-Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
- dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
+Build-Conflicts: libopenexr-dev (<< 2.2.0-1)
+Build-Depends: dh-autoreconf, debhelper (>= 9),
+ dh-buildinfo, libilmbase-dev (>= 2.2.0-3), zlib1g-dev, dpkg-dev (>= 1.18.0)
+Standards-Version: 3.9.6
 Homepage: http://www.openexr.com
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/openexr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/openexr.git
 
 Package: openexr
 Architecture: any
@@ -13,7 +17,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: exrtools
-Description: command-line tools and docs for the OpenEXR image format
+Description: command-line tools for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
  .
@@ -31,18 +35,43 @@
       affecting backward compatibility with existing OpenEXR
       applications.
  .
- This package contains documentation for the format and the following tools:
+ This package contains the following tools:
     * exrheader, a utility for dumping header information.
     * exrstdattr, a utility for modifying OpenEXR standard attributes.
     * exrmaketiled, for generating tiled and rip/mipmapped images.
     * exrenvmap, for creating OpenEXR environment maps.
     * exrmakepreview, for creating preview images for OpenEXR files.
 
+Package: openexr-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, doc-base
+Breaks: openexr (<< 1.6.1-9)
+Description: documentation and examples for the OpenEXR image format
+ OpenEXR is a high dynamic-range (HDR) image file format developed by
+ Industrial Light & Magic for use in computer imaging applications.
+ .
+ OpenEXR's features include:
+    * Higher dynamic range and colour precision than existing 8- and
+      10-bit image file formats.
+    * Support for the "half" 16-bit floating-point pixel format.
+    * Multiple lossless image compression algorithms. Some of the
+      included codecs can achieve 2:1 lossless compression ratios on
+      images with film grain.
+    * Extensibility. New compression codecs and image types can easily
+      be added by extending the C++ classes included in the OpenEXR
+      software distribution. New image attributes (strings, vectors,
+      integers, etc.) can be added to OpenEXR image headers without
+      affecting backward compatibility with existing OpenEXR
+      applications.
+ .
+ This package contains documentation for the format and examples
+
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libopenexr21 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: libopenexr22 (= ${binary:Version}), libilmbase-dev, ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -64,7 +93,7 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr21
+Package: libopenexr22
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# © 2009 Cyril Brulebois <kibi@debian.org>

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
IGNORE_CHECK_RESULTS_ARCHS := armel armhf hppa i386 m68k mips mipsel powerpc powerpcspe sh4 x32 kfreebsd-i386 hurd-i386

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(IGNORE_CHECK_RESULTS_ARCHS)))
	-dh_auto_test
  else
	dh_auto_test
  endif
endif

export AUTOHEADER = true

# No need to compress .pdf files:
override_dh_compress:
	dh_compress -X.pdf -X.cpp -X.h

%:
	dh $@ --with autoreconf

## openexr 2.2.1

=== debian/changelog ===
openexr (2.2.1-4.1ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2017-911x-2.patch: address pointer overflows in
      IlmImf/ImfScanLineInputFile.cpp, exrenvmap/readInputImage.cpp,
      exrmakepreview/makePreview.cpp.
    - debian/patches/CVE-2017-911x-3.patch: merge common fixes and move
      bounds check to central location in IlmImf/ImfFrameBuffer.h,
      IlmImf/ImfHeader.cpp, exrenvmap/readInputImage.cpp,
      exrmakepreview/makePreview.cpp, exrmaketiled/Image.h,
      exrmultiview/Image.h.
    - debian/patches/CVE-2017-911x-4.patch: refactor origin function to a
      Slice factory and Rgba custom utility in IlmImf/ImfFrameBuffer.cpp,
      IlmImf/ImfFrameBuffer.h, IlmImf/ImfRgbaFile.h,
      exrenvmap/readInputImage.cpp, exrmakepreview/makePreview.cpp,
      exrmaketiled/Image.h, exrmultiview/Image.h.
    - CVE-2017-9111
    - CVE-2017-9113
    - CVE-2017-9115
    - CVE-2018-18444

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Oct 2019 13:01:44 -0400

openexr (2.2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * bug909865.patch: Add -ffloat-store when compiling tests, to fix test
    failures on i386. Patch backported from experimental. (Closes: #909865)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 20 Mar 2019 22:40:43 +0100

openexr (2.2.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Mar 2018 14:10:23 +0100

openexr (2.2.1-3) experimental; urgency=medium

  * debian/control: fix Breaks/Replaces to allow
    co-installation

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Mar 2018 18:34:36 +0100

openexr (2.2.1-2) experimental; urgency=medium

  * debian/: SONAME bump 22 -> 23
  * debian/control: add Breaks and Replaces for library replacement
  * debian/control: Vcs-* fields updated to use salsa
  * debian/copyright: http:// -> https:// for copyright format
  * debian/: manpages files moved to manpages/ directory

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Mar 2018 10:46:17 +0100

openexr (2.2.1-1) experimental; urgency=medium

  * New upstream release
    This release addresses:
     - CVE-2017-9111
     - CVE-2017-9113
     - CVE-2017-9114
     - CVE-2017-9115
     - CVE-2017-12596
    - debian/patches/series: CVE-2017-911x.patch disabled
      (since already applied upstream)
  * debian/watch: move to https:// URL
  * debian/control: S-V bump 3.9.8 -> 4.1.3 (no changes needed)
  * debian/: autoreconf usage dropped
  * debian/: dh bump 9 -> 11
  * debian/openexr-doc.doc-base.*: fix paths

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 10 Jan 2018 15:50:11 +0100

openexr (2.2.0-11.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-9110, CVE-2017-9112 and CVE-2017-9116.
    Brandon Perry discovered that openexr was affected by an integer overflow
    vulnerability and missing boundary checks that would allow a remote
    attacker to cause a denial of service (application crash) via specially
    crafted image files. (Closes: #864078)

 -- Markus Koschany <apo@debian.org>  Thu, 31 Aug 2017 23:52:03 +0200

openexr (2.2.0-11) unstable; urgency=medium

  * Remove symbols files. Closes: #807079
  * Bump Std-Vers to 3.9.8. No changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 19 Jul 2016 08:53:26 +0200

openexr (2.2.0-10) unstable; urgency=medium

  * debian/patches/: patchset updated
    - bug815594.patch added (Closes: #815594)
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 27 Feb 2016 13:44:05 +0100

openexr (2.2.0-9) unstable; urgency=medium

  * Upload to unstable
  * debian/control: git:// -> https:// for Vcs-* fields

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Feb 2016 12:28:18 +0100

openexr (2.2.0-8) experimental; urgency=medium

  * Make sure to use latest of ilmbase

 -- Mathieu Malaterre <malat@debian.org>  Mon, 18 Jan 2016 21:16:32 +0100

openexr (2.2.0-7) experimental; urgency=medium

  * Fix symbols on armel/powerpc/armhf

 -- Mathieu Malaterre <malat@debian.org>  Mon, 19 Oct 2015 14:47:28 +0200

openexr (2.2.0-6) experimental; urgency=medium

  * Update symbols for s390x
  * Do not run the test suite on mips/alpha/hppa

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 Oct 2015 21:35:26 +0200

openexr (2.2.0-5) experimental; urgency=medium

  * Fix tests on big endian arches

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Oct 2015 15:32:06 +0200

openexr (2.2.0-4) experimental; urgency=medium

  * debian/*.maintscript: new path added. (Closes: #782098)
    Thanks to Andreas Beckmann (anbe) for the hint.

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Sep 2015 10:30:16 +0200

openexr (2.2.0-3) experimental; urgency=medium

  * Update symbol file for arm64
  * Fix 32bits arch symbol file (gcc5 transition)
  * Update symbol file for ppc64el

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Sep 2015 14:54:22 +0200

openexr (2.2.0-2) experimental; urgency=medium

  [ Andreas Beckmann ]
  * openexr-doc: add missing Replaces: openexr (<< 1.6.1-9)
  * openexr, libopenexr-dev: Transition /usr/share/doc/$PACKAGE from symlink to
    directory.  (Closes: #782098)

  [ Mathieu Malaterre ]
  * Fix compilation on arm64. Closes: #793041
  * Fix test-suite on some 32bits archs. Closes: #791478
  * Fix test-suite on some big-endian archs. Closes: #793040
  * Update symbols file

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Aug 2015 15:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,32 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
-Build-Conflicts: libopenexr-dev (<< 2.2.0-1)
-Build-Depends: dh-autoreconf, debhelper (>= 9),
- dh-buildinfo, libilmbase-dev (>= 2.2.0-3), zlib1g-dev, dpkg-dev (>= 1.18.0)
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders:
+ Mathieu Malaterre <malat@debian.org>,
+ Matteo F. Vescovi <mfv@debian.org>
+Build-Conflicts:
+ libopenexr-dev (<< 2.2.0-1)
+Build-Depends:
+ debhelper (>= 11~),
+ dh-buildinfo,
+ dpkg-dev (>= 1.18.0),
+ libilmbase-dev (>= 2.2.0-3),
+ zlib1g-dev
+Standards-Version: 4.1.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/openexr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/openexr.git
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr
 
 Package: openexr
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: exrtools
 Description: command-line tools for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
@@ -45,8 +56,11 @@
 Package: openexr-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends:
+ doc-base,
+ ${misc:Depends}
 Breaks: openexr (<< 1.6.1-9)
+Replaces: openexr (<< 1.6.1-9)
 Description: documentation and examples for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -70,8 +84,12 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libopenexr22 (= ${binary:Version}), libilmbase-dev, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ libilmbase-dev (>= 2.2.1-1),
+ libopenexr23 (= ${binary:Version}),
+ ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -93,12 +111,17 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr22
+Package: libopenexr23
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libopenexr22 (= 2.2.1-1)
+Replaces: libopenexr22 (= 2.2.1-1)
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.

## openexr 2.2.1.4

=== debian/changelog ===
openexr (2.2.1.4-1) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Wed, 28 Jul 2021 16:53:35 +0800

openexr (2.2.1.3-1) unstable; urgency=medium

  * fix CVE-2021-23169

 -- kezhihuan <kezhihuan@uniontech.com>  Fri, 02 Jul 2021 11:31:09 +0800

openexr (2.2.1.2-1+dde) unstable; urgency=medium

  * faix CVE-2020-11758

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 29 Oct 2020 11:08:55 +0800

openexr (2.2.1.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix: CVE-2020-15305 CVE-2020-15306 CVE-2020-15304

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 19 Aug 2020 16:16:54 +0800

openexr (2.2.1-4.1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild 

 -- liuyong <liuyong@deepin.com>  Fri, 03 Jul 2020 13:07:41 +0800

=== debian/rules ===
#!/usr/bin/make -f
# © 2009 Cyril Brulebois <kibi@debian.org>

# https://bugs.debian.org/793041
export AUTOHEADER = true
export DEB_BUILD_OPTIONS = nocheck

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
IGNORE_CHECK_RESULTS_ARCHS := alpha hppa mips

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH), $(IGNORE_CHECK_RESULTS_ARCHS)))
	-dh_auto_test
else
	dh_auto_test
endif
endif

# No need to compress .pdf files:
override_dh_compress:
	dh_compress -X.pdf -X.cpp -X.h

%:
	dh $@

## openexr 2.2.1.5

=== debian/changelog ===
openexr (2.2.1.5-deepin1) unstable; urgency=medium

  * fix CVE-2021-20298 and CVE-2021-20299.

 -- dinghao <dinghao@uniontech.com>  Thu, 24 Nov 2022 14:21:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Mathieu Malaterre <malat@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
